Uncaught Error: Inserted data is trying to close the root node (at index 0) appears when pressing returen after deselecting some nodes
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

1.Select any Table/References list/ Hieroglyph
2.Click at the right end of it to deselect it.
3.Press return

Observed Result:

  1. There is no cursor appears at the end of the node when you deselect it by clicking at the right end of it.
  2. After pressing return, there is no cursor in the next line. The styling menu is disabled in the toolbar.

Also shows error in the console "Uncaught Error: Inserted data is trying to close the root node (at index 0).

Ryasmeen created this task.Oct 19 2016, 7:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2016, 7:42 PM
Jdforrester-WMF triaged this task as Normal priority.Nov 8 2016, 8:23 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 381033 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] LinearEnterKeyDownHandler: make sure the range is in a cursorable location

https://gerrit.wikimedia.org/r/381033

Change 381235 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ce.Surface: in observed selection changes, only make cursorable selections

https://gerrit.wikimedia.org/r/381235

Change 381033 abandoned by DLynch:
LinearEnterKeyDownHandler: make sure the range is in a cursorable location

Reason:
That's fair. I've put up I03348d34b3a2ffb5049acd4f62b4c568692e1649 as a suggested fix, stopping the surface from placing an invalid selection in response to observed events.

https://gerrit.wikimedia.org/r/381033

Change 381235 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ce.Surface: in observed selection changes, only make cursorable selections

https://gerrit.wikimedia.org/r/381235

Change 381805 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ce.Surface: handle table-adjacent observed selection changes better

https://gerrit.wikimedia.org/r/381805

Change 381814 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (cb52d8b7a)

https://gerrit.wikimedia.org/r/381814

Change 381814 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (cb52d8b7a)

https://gerrit.wikimedia.org/r/381814

Change 381805 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ce.Surface: handle table-adjacent observed selection changes better

https://gerrit.wikimedia.org/r/381805

Change 383612 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e8188bac8)

https://gerrit.wikimedia.org/r/383612

Change 383612 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e8188bac8)

https://gerrit.wikimedia.org/r/383612

Jdforrester-WMF closed this task as Resolved.Oct 11 2017, 7:30 PM
Jdforrester-WMF assigned this task to DLynch.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Sorry, RTB got confused.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 11 2017, 7:30 PM